Skip to main content
GET
Get electronic prescription

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

electronic_prescription_id
string<uuid>
required

Unique identifier for the electronic prescription (UUID).

Query Parameters

include_xml
boolean

Whether to include the XML in the response. Default is false. Will return XML in the "xml" field.

Example:

true

Response

200 - application/json

Successful response with electronic prescription

id
string<uuid>

Unique identifier

Example:

"0227d1e5-ba9a-42b5-8fe2-38882aa65708"

created_at
string<date-time>

Date and time of creation

Example:

"2025-03-15T12:00:00Z"

updated_at
string<date-time>

Date and time of last update

Example:

"2025-03-15T12:00:00Z"

customer_id
string

Once identified, Blend ID of the customer associated with the patient

Example:

"b658f16f-819c-4503-aede-bd555fc4ebfb"

patient_id
string

Once identified, Blend ID of the patient

prescriber_id
string

Once identified, Blend ID of the prescriber

source
string

Source of the prescription, e.g. api_json

Example:

"api_json"

type
string

Type of electronic prescription, e.g. NewRx

Example:

"NewRx"

medications
object[]

Individual medication details from the electronic prescription

reference_number
string

As imported directly from electronic prescription XML

xml
string

The SCRIPT XML of the electronic prescription, if requested